## GtkToolShell GtkToolShell |

## Functions

PangoEllipsizeMode | gtk_tool_shell_get_ellipsize_mode ()
GtkIconSize | gtk_tool_shell_get_icon_size ()
GtkOrientation | gtk_tool_shell_get_orientation ()
GtkReliefStyle | gtk_tool_shell_get_relief_style ()
GtkToolbarStyle | gtk_tool_shell_get_style ()
gfloat | gtk_tool_shell_get_text_alignment ()
GtkOrientation | gtk_tool_shell_get_text_orientation ()
void | gtk_tool_shell_rebuild_menu ()
GtkSizeGroup * | gtk_tool_shell_get_text_size_group ()

## Types and Values

| GtkToolShell
struct | GtkToolShellIface

## Object Hierarchy

        GInterface
        ╰── GtkToolShell

## Prerequisites

GtkToolShell requires GtkWidget.

## Known Implementations

GtkToolShell is implemented by GtkToolItemGroup and GtkToolbar.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_tool_shell_get_ellipsize_mode ()

    PangoEllipsizeMode
    gtk_tool_shell_get_ellipsize_mode (GtkToolShell *shell);

Since: 2.20

### gtk_tool_shell_get_icon_size ()

    GtkIconSize
    gtk_tool_shell_get_icon_size (GtkToolShell *shell);

Since: 2.14

### gtk_tool_shell_get_orientation ()

    GtkOrientation
    gtk_tool_shell_get_orientation (GtkToolShell *shell);

Since: 2.14

### gtk_tool_shell_get_relief_style ()

    GtkReliefStyle
    gtk_tool_shell_get_relief_style (GtkToolShell *shell);

Since: 2.14

### gtk_tool_shell_get_style ()

    GtkToolbarStyle
    gtk_tool_shell_get_style (GtkToolShell *shell);

Since: 2.14

### gtk_tool_shell_get_text_alignment ()

    gfloat
    gtk_tool_shell_get_text_alignment (GtkToolShell *shell);

Since: 2.20

### gtk_tool_shell_get_text_orientation ()

    GtkOrientation
    gtk_tool_shell_get_text_orientation (GtkToolShell *shell);

Since: 2.20

### gtk_tool_shell_rebuild_menu ()

    void
    gtk_tool_shell_rebuild_menu (GtkToolShell *shell);

Since: 2.14

### gtk_tool_shell_get_text_size_group ()

    GtkSizeGroup *
    gtk_tool_shell_get_text_size_group (GtkToolShell *shell);

Since: 2.20

## Types and Values

### GtkToolShell

    typedef struct _GtkToolShell GtkToolShell;

### struct GtkToolShellIface

    struct GtkToolShellIface {
      GtkIconSize        (*get_icon_size)        (GtkToolShell *shell);
      GtkOrientation     (*get_orientation)      (GtkToolShell *shell);
      GtkToolbarStyle    (*get_style)            (GtkToolShell *shell);
      GtkReliefStyle     (*get_relief_style)     (GtkToolShell *shell);
      void               (*rebuild_menu)         (GtkToolShell *shell);
      GtkOrientation     (*get_text_orientation) (GtkToolShell *shell);
      gfloat             (*get_text_alignment)   (GtkToolShell *shell);
      PangoEllipsizeMode (*get_ellipsize_mode)   (GtkToolShell *shell);
      GtkSizeGroup *     (*get_text_size_group)  (GtkToolShell *shell);
    };